Bundle: 13.0
First apparition: 13.0
Last apparition: 13.0
Commit: ingadhoc/account-invoicing:8bcc64f1
Subject: [IMP] remove code no needed on new runbot
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/account-financial-tools:67e9e17b
Subject: [REF] account_interests
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/account-payment:ca8698f4
Subject: [IMP] use new runbot
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: odoo:b33e72d0
Subject: [FIX] stock: make package level package consistent
Author: Tiffany Chang (tic)
Committer: Tiffany Chang (tic)
Commit: enterprise:6a27ceb9
Subject: [FIX] helpdesk: set ticket close date according to state
Author: ham-odoo
Committer: Barad Mahendra
Commit: oca/social:fad96215
Subject: [UPD] addons table in README.md
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/web:bae95fc4
Subject: Translated using Weblate (Catalan)
Author: claudiagn
Committer: OCA Transbot
Commit: oca/stock-logistics-workflow:6326f4b7
Subject: stock_picking_group_by_partner_by_carrier 13.0.1.6.2
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/stock-logistics-warehouse:acdbb9a8
Subject: [ADD] setup.py
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/server-tools:21befb4e
Subject: base_jsonify 13.0.3.1.0
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/sale-workflow:6e846723
Subject: [ADD] setup.py
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: ingadhoc/stock:0ded65a6
Subject: [REM] stock_batch_picking_ux: broken translations
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/aeroo_reports:4cf8dac8
Subject: [IMP] readme
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/sale:550ae25c
Subject: [13.0] [FIX] sale_order_type_ux: Fix a bug in the compare of the companies.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/miscellaneous:1193e470
Subject: [IMP] adapt for new runbot
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/product:f90b17db
Subject: [FIX] product_uoms_purchase
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Version: 13.0
Config: Adhoc Conf (no test)
Total time: 104s

Date Level Type Message
2021-02-18 06:24:15 INFO runbot Rebuild initiated by Administrator
2021-02-18 06:24:19 INFO runbot Init build environment with config Adhoc Conf (no test)
2021-02-18 06:24:19 Starting step base from config Adhoc Conf (no test)
2021-02-18 06:24:58 INFO server odoo.modules.loading:279 1 modules loaded in 6.48s, 0 queries
2021-02-18 06:25:05 INFO server odoo.modules.loading:279 11 modules loaded in 5.42s, 0 queries
2021-02-18 06:25:10 Step base finished in 51s
2021-02-18 06:25:10 Starting step all_no_test from config Adhoc Conf (no test)
2021-02-18 06:25:50 INFO server odoo.modules.loading:279 1 modules loaded in 6.81s, 0 queries
2021-02-18 06:25:52 WARNING server odoo.modules.loading:563 Transient module states were reset
2021-02-18 06:25:52 ERROR server odoo.modules.registry:91
Failed to load registry
Traceback (most recent call last):
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 388, in load_modules
    modules.button_install()
  File "<decorator-gen-59>", line 2, in button_install
  File "/data/build/odoo/odoo/addons/base/models/ir_module.py", line 72, in check_and_log
    return method(self, *args, **kwargs)
  File "/data/build/odoo/odoo/addons/base/models/ir_module.py", line 405, in button_install
    modules._state_update('to install', ['uninstalled'])
  File "/data/build/odoo/odoo/addons/base/models/ir_module.py", line 371, in _state_update
    raise UserError(_("You try to install module '%s' that depends on module '%s'.\nBut the latter module is not available in your system.") % (module.name, dep.name,))
odoo.exceptions.UserError: ("You try to install module 'sale_exception_partner_state' that depends on module 'partner_state'.\nBut the latter module is not available in your system.", '')
2021-02-18 06:25:52 CRITICAL server odoo.service.server:1221
Failed to initialize database `00153-13-0-all_no_test`.
Traceback (most recent call last):
  File "/data/build/odoo/odoo/service/server.py", line 1190, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 388, in load_modules
    modules.button_install()
  File "<decorator-gen-59>", line 2, in button_install
  File "/data/build/odoo/odoo/addons/base/models/ir_module.py", line 72, in check_and_log
    return method(self, *args, **kwargs)
  File "/data/build/odoo/odoo/addons/base/models/ir_module.py", line 405, in button_install
    modules._state_update('to install', ['uninstalled'])
  File "/data/build/odoo/odoo/addons/base/models/ir_module.py", line 371, in _state_update
    raise UserError(_("You try to install module '%s' that depends on module '%s'.\nBut the latter module is not available in your system.") % (module.name, dep.name,))
odoo.exceptions.UserError: ("You try to install module 'sale_exception_partner_state' that depends on module 'partner_state'.\nBut the latter module is not available in your system.", '')
2021-02-18 06:26:03 Step all_no_test finished in 53s
2021-02-18 06:26:03 Starting step run from config Adhoc Conf (no test)
2021-02-18 06:26:03 INFO runbot Start running build 00153-13-0
2021-02-18 06:26:36 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-02-18 06:26:36 INFO server odoo.modules.loading:279 11 modules loaded in 0.07s, 0 queries
2021-03-04 01:57:59 ERROR server werkzeug:88
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 270, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 258, in execute
    application_iter = app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 140, in application
    return ProxyFix(application_unproxied)(environ, start_response)
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/contrib/fixers.py", line 152, in __call__
    return self.app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 117, in application_unproxied
    result = odoo.http.root(environ, start_response)
  File "/data/build/odoo/odoo/http.py", line 1287, in __call__
    return self.dispatch(environ, start_response)
  File "/data/build/odoo/odoo/http.py", line 1257, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/wsgi.py", line 766, in __call__
    return self.app(environ, start_response)
  File "/data/build/odoo/odoo/http.py", line 1439, in dispatch
    odoo.registry(db).check_signaling()
  File "/data/build/odoo/odoo/__init__.py", line 104, in registry
    return modules.registry.Registry(database_name)
  File "/data/build/odoo/odoo/modules/registry.py", line 62, in __new__
    return cls.new(db_name)
  File "/data/build/odoo/odoo/modules/registry.py", line 74, in new
    registry.init(db_name)
  File "/data/build/odoo/odoo/modules/registry.py", line 143, in init
    with closing(self.cursor()) as cr:
  File "/data/build/odoo/odoo/modules/registry.py", line 542, in cursor
    return self._db.cursor()
  File "/data/build/odoo/odoo/sql_db.py", line 664, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/data/build/odoo/odoo/sql_db.py", line 196, in __init__
    self._cnx = pool.borrow(dsn)
  File "/data/build/odoo/odoo/sql_db.py", line 547, in _locked
    return fun(self, *args, **kwargs)
  File "/data/build/odoo/odoo/sql_db.py", line 615, in borrow
    **connection_info)
  File "/usr/local/lib/python3.6/dist-packages/psycopg2/__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  database "00153-13-0-all" does not exist
2021-03-06 08:06:17 ERROR server werkzeug:88
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 270, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 258, in execute
    application_iter = app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 140, in application
    
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/contrib/fixers.py", line 152, in __call__
    return self.app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 117, in application_unproxied
    
  File "/data/build/odoo/odoo/http.py", line 1287, in __call__
    
  File "/data/build/odoo/odoo/http.py", line 1257, in __call__
    
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/wsgi.py", line 766, in __call__
    return self.app(environ, start_response)
  File "/data/build/odoo/odoo/http.py", line 1439, in dispatch
    
  File "/data/build/odoo/odoo/__init__.py", line 104, in registry
    
  File "/data/build/odoo/odoo/modules/registry.py", line 62, in __new__
    
  File "/data/build/odoo/odoo/modules/registry.py", line 74, in new
    
  File "/data/build/odoo/odoo/modules/registry.py", line 143, in init
    
  File "/data/build/odoo/odoo/modules/registry.py", line 542, in cursor
    
  File "/data/build/odoo/odoo/sql_db.py", line 664, in cursor
    
  File "/data/build/odoo/odoo/sql_db.py", line 196, in __init__
    
  File "/data/build/odoo/odoo/sql_db.py", line 547, in _locked
    
  File "/data/build/odoo/odoo/sql_db.py", line 615, in borrow
    
  File "/usr/local/lib/python3.6/dist-packages/psycopg2/__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  database "00153-13-0-all" does not exist
2021-03-06 08:06:24 WARNING server odoo.modules.graph:68 module base: not installable, skipped
2021-03-06 08:06:24 CRITICAL server odoo.modules.loading:356 module base cannot be loaded! (hint: verify addons-path)
2021-03-06 08:06:24 WARNING server odoo.modules.loading:563 Transient module states were reset
2021-03-06 08:06:24 ERROR server odoo.modules.registry:91
Failed to load registry
Traceback (most recent call last):
  File "/data/build/odoo/odoo/modules/registry.py", line 60, in __new__
  File "/data/build/odoo/odoo/tools/func.py", line 69, in wrapper
  File "/data/build/odoo/odoo/tools/lru.py", line 44, in __getitem__
KeyError: '00153-13-0-all_no_test'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
  File "/data/build/odoo/odoo/modules/loading.py", line 357, in load_modules
ImportError: Module `base` cannot be loaded! (hint: verify addons-path)
2021-03-06 08:06:24 ERROR server werkzeug:88
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 270, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 258, in execute
    application_iter = app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 140, in application
    
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/contrib/fixers.py", line 152, in __call__
    return self.app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 117, in application_unproxied
    
  File "/data/build/odoo/odoo/http.py", line 1287, in __call__
    
  File "/data/build/odoo/odoo/http.py", line 1257, in __call__
    
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/wsgi.py", line 766, in __call__
    return self.app(environ, start_response)
  File "/data/build/odoo/odoo/http.py", line 1439, in dispatch
    
  File "/data/build/odoo/odoo/__init__.py", line 104, in registry
    
  File "/data/build/odoo/odoo/modules/registry.py", line 62, in __new__
    
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    
  File "/data/build/odoo/odoo/modules/loading.py", line 357, in load_modules
    
ImportError: Module `base` cannot be loaded! (hint: verify addons-path)
2021-03-08 18:46:52 ERROR server werkzeug:88
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 270, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 258, in execute
    application_iter = app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 140, in application
    
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/contrib/fixers.py", line 152, in __call__
    return self.app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 117, in application_unproxied
    
  File "/data/build/odoo/odoo/http.py", line 1287, in __call__
    
  File "/data/build/odoo/odoo/http.py", line 1439, in dispatch
    
  File "/data/build/odoo/odoo/__init__.py", line 104, in registry
    
  File "/data/build/odoo/odoo/modules/registry.py", line 62, in __new__
    
  File "/data/build/odoo/odoo/modules/registry.py", line 74, in new
    
  File "/data/build/odoo/odoo/modules/registry.py", line 143, in init
    
  File "/data/build/odoo/odoo/modules/registry.py", line 542, in cursor
    
  File "/data/build/odoo/odoo/sql_db.py", line 664, in cursor
    
  File "/data/build/odoo/odoo/sql_db.py", line 196, in __init__
    
  File "/data/build/odoo/odoo/sql_db.py", line 547, in _locked
    
  File "/data/build/odoo/odoo/sql_db.py", line 615, in borrow
    
  File "/usr/local/lib/python3.6/dist-packages/psycopg2/__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  database "00153-13-0-all" does not exist
2021-03-16 13:51:26 ERROR runbot Docker with state GHOST not started after 60 seconds, skipping
2021-03-16 13:51:26 INFO runbot Step run finished in 4w